Skip to main content

Calendar Events API (Reference) v1.0.0

Calendar events API reference.

info

You are viewing REST API documentation. This documentation is auto-generated from a swagger specification which itself is generated from annotations in the source code of the project. It is possible that this documentation includes bugs and that code samples are incomplete or wrong.

Authentication​

  • JWT Bearer token
    • Header: Authorization: Bearer <JWT>. Authentication and authorization using a valid JWT token

Calendar Events​

Get Google Calendar Event URL​

GET /cal/events/google/{id}/event HTTP/1.1

Base paths: /cal

Get the Google Calendar event URL for an appointment.

Required authorization: none

Parameters​

ParameterInTypeRequiredDescription
idpathstringtrueID specifies the unique identifier of the appointment for Google Calendar event retrieval.

Responses​

Overview​
StatusMeaningDescriptionSchema
302FoundThe Google Calendar event URL was found and a redirection is made.None
400Bad RequestBad request. The request was malformed or missing required fields.None
404Not FoundStatusNotFound. - No appointment found matching the specified id.None
500Internal Server ErrorInternal Server Error. An unexpected error occurred, preventing the successful processing of the request.None
caution

To perform this operation, you must be authenticated by means of one of the following methods: jwtBearerToken

Code samples​

curl -X GET /cal/events/google/{id}/event \
-H 'Authorization: Bearer <JWT>'

Get iCalendar Event​

GET /cal/events/ical/{id}/event HTTP/1.1

Base paths: /cal

Get appointment event calendar in iCalendar format.

Required authorization: none

Parameters​

ParameterInTypeRequiredDescription
idpathstringtrueId specifies the unique identifier of the appointment used for either iCalendar or Google Calendar event retrieval.

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKiCalendar object - see rfc5546None
400Bad RequestBad request. The request was malformed or missing required fields.None
404Not FoundStatusNotFound. - No appointment found matching the specified id.None
500Internal Server ErrorInternal Server Error. An unexpected error occurred, preventing the successful processing of the request.None
caution

To perform this operation, you must be authenticated by means of one of the following methods: jwtBearerToken

Code samples​

curl -X GET /cal/events/ical/{id}/event \
-H 'Authorization: Bearer <JWT>'